Module jdk.javadoc
Package com.sun.javadoc

## Interface AnnotationTypeDoc

All Superinterfaces:
  `ClassDoc`, `Comparable<Object>`, `Doc`, `ProgramElementDoc`, `Type`

    @Deprecated(since="9",
                forRemoval=true)
    public interface AnnotationTypeDoc
    extends ClassDoc

Deprecated, for removal: This API element is subject to removal in a future version.
The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.
Represents an annotation type.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`AnnotationTypeElementDoc[]` `elements()` Deprecated, for removal: This API element is subject to removal in a future version. Returns the elements of this annotation type.

### Methods declared in interface com.sun.javadoc.ClassDoc

`constructors, constructors, definesSerializableFields, enumConstants, fields, fields, findClass, importedClasses, importedPackages, innerClasses, innerClasses, interfaces, interfaceTypes, isAbstract, isExternalizable, isSerializable, methods, methods, serializableFields, serializationMethods, subclassOf, superclass, superclassType, typeParameters, typeParamTags`

### Methods declared in interface com.sun.javadoc.Doc

`commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

### Methods declared in interface com.sun.javadoc.ProgramElementDoc

`annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

### Methods declared in interface com.sun.javadoc.Type

`asAnnotatedType, asAnnotationTypeDoc, asClassDoc, asParameterizedType, asTypeVariable, asWildcardType, dimension, getElementType, isPrimitive, qualifiedTypeName, simpleTypeName, toString, typeName`

### Method Detail

#### elements

    AnnotationTypeElementDoc[] elements()

Deprecated, for removal: This API element is subject to removal in a future version.
Returns the elements of this annotation type. Returns an empty array if there are none.

Returns:
  the elements of this annotation type.